Functions
Functions
BLE Services » Throughput Control Point Client (THSCPS)
Collaboration diagram for Functions:

## Functions
sdk_err_t | thscps_service_init (thscps_evt_handler_t evt_handler)
| Initialize a THS Control Point Service instance and add in the DB. More...
sdk_err_t | thscps_ctrl_pt_rsp_send (uint8_t conn_idx, thscps_rsp_val_t *p_rsp_val)
| Send Control Point Response if its indicaiton has been enabled. More...
sdk_err_t | thscps_test_setting_rsp_send (uint8_t conn_idx, thscps_rsp_val_t *p_rsp_val)
| Send Settings Response if its notification has been enabled. More...
sdk_err_t | thscps_test_info_send (uint8_t conn_idx, thscps_test_info_t *p_test_info)
| Send Throughput Test Information if its notification has been enabled. More...
sdk_err_t | thscps_conn_info_send (uint8_t conn_idx, thscps_test_conn_info_t *p_conn_info)
| Send Throughput Test Connect Information if its notification has been enabled. More...
void | thscps_test_state_set (thscps_test_state_t test_state)
| Set throughput state set. More...

## Detailed Description

## Function Documentation

## ◆ thscps_conn_info_send()

sdk_err_t thscps_conn_info_send | ( | uint8_t | conn_idx,
|  | thscps_test_conn_info_t * | p_conn_info
| ) |  |

Send Throughput Test Connect Information if its notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_conn_info | Pointer to connection information value.

Returns
  Result of notify value.

## ◆ thscps_ctrl_pt_rsp_send()

sdk_err_t thscps_ctrl_pt_rsp_send | ( | uint8_t | conn_idx,
|  | thscps_rsp_val_t * | p_rsp_val
| ) |  |

Send Control Point Response if its indicaiton has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_rsp_val | Pointer to Response value.

Returns
  Result of indicate value.

## ◆ thscps_service_init()

sdk_err_t thscps_service_init | ( | thscps_evt_handler_t | evt_handler | ) |

Initialize a THS Control Point Service instance and add in the DB.

Parameters

  [in] | evt_handler | THS Control Point Service event handler.

Returns
  Result of service initialization.

## ◆ thscps_test_info_send()

sdk_err_t thscps_test_info_send | ( | uint8_t | conn_idx,
|  | thscps_test_info_t * | p_test_info
| ) |  |

Send Throughput Test Information if its notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_test_info | Pointer to test information value.

Returns
  Result of notify value.

## ◆ thscps_test_setting_rsp_send()

sdk_err_t thscps_test_setting_rsp_send | ( | uint8_t | conn_idx,
|  | thscps_rsp_val_t * | p_rsp_val
| ) |  |

Send Settings Response if its notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_rsp_val | Pointer to Response value.

Returns
  Result of indicate value.

## ◆ thscps_test_state_set()

void thscps_test_state_set | ( | thscps_test_state_t | test_state | ) |

Set throughput state set.

Parameters

  [in] | test_state | Throughput Test state.